"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
const path = require("path");
const os = require("os");
const vscode_1 = require("vscode");
const node_1 = require("vscode-languageclient/node");
let client;
function activate(_context) {
    let executablePath = path.join(__dirname, '..', 'out', 'lsp');
    if (os.platform() === 'win32') {
        executablePath = path.join(executablePath, 'win-x64', 'hasmer-lsp.exe');
    }
    else if (os.platform() === 'linux') {
        executablePath = path.join(executablePath, 'linux-x64', 'hasmer-lsp');
    }
    else {
        vscode_1.window.showInformationMessage('Language server features not available on this platform.');
        return;
    }
    const serverOptions = {
        command: executablePath,
        args: [],
        options: { shell: false, detached: false },
    };
    const clientOptions = {
        documentSelector: [{ scheme: 'file', language: 'hasm' }],
        synchronize: {
            fileEvents: vscode_1.workspace.createFileSystemWatcher('**/*.*'),
        },
    };
    client = new node_1.LanguageClient('hasmServer', 'Hasm Language Server', serverOptions, clientOptions);
    client.start();
}
exports.activate = activate;
function deactivate() {
    if (!client) {
        return undefined;
    }
    return client.stop();
}
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map